> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/common-concepts/related-entities.md).

# Related entities

Some fields can refer to other entities. In this case, you can make a sub-selection of fields for that entity. GraphQL queries can traverse related entities and their fields, allowing you to retrieve related data in one request. The following example adds the asset parent domain and parent community to the initial basic query:

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><pre><code>query {
    assets {
        id
        fullName
        domain {
            name
            parent {
                name
            }
        }
    }
}
</code></pre></td><td><pre><code>{
  "data": {
    "assets": [
      {
        "id": "00000000-0000-0000-0000-000000005015",
        "fullName": "Community Manager",
        "domain": {
          "name": "Roles",
          "parent": {
            "name": "Admin Community"
          }
        }
      }
    ]
  }
}
</code></pre></td></tr></tbody></table>

Some fields are collections and they can contain multiple related entities, for example a community can have multiple child domains:

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><pre><code>query {
    communities(limit: 1) {
        name
        subDomains(limit: 3) {
            name
        }
    }
}
</code></pre></td><td><pre><code>{
  "data": {
    "communities": [
      {
        "name": "Admin Community",
        "subDomains": [
          {
            "name": "System"
          },
          {
            "name": "Workflow Definitions"
          },
          {
            "name": "Complex Relations"
          }
        ]
      }
    ]
  }
}
</code></pre></td></tr></tbody></table>

{% hint style="info" %}
For every collection field you can specify the maximum number of returned items with the `limit` argument. For additional details, see [Pagination](/api/guides/common-concepts/pagination.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/guides/common-concepts/related-entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
